aboutsummaryrefslogtreecommitdiffstats
path: root/extra/dahdi-linux/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-06-30 14:59:13 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-06-30 14:59:13 +0000
commit29826f4e925e84bded9640c8127919e2338a8ab0 (patch)
treecaba480c5d966fad148c7dc6bab4e8fc58417c88 /extra/dahdi-linux/APKBUILD
parentc22f41c0fc0520e302e8de1b42acc83fcaf7725e (diff)
downloadaports-29826f4e925e84bded9640c8127919e2338a8ab0.tar.bz2
aports-29826f4e925e84bded9640c8127919e2338a8ab0.tar.xz
extra/dahdi-linux*: split the firmware out to separate package
The firmware package is called dahdi-linux. A bit misleading but convenient for our dahdi-linux-dev package.
Diffstat (limited to 'extra/dahdi-linux/APKBUILD')
-rw-r--r--extra/dahdi-linux/APKBUILD35
1 files changed, 35 insertions, 0 deletions
diff --git a/extra/dahdi-linux/APKBUILD b/extra/dahdi-linux/APKBUILD
new file mode 100644
index 0000000000..b0f6edf789
--- /dev/null
+++ b/extra/dahdi-linux/APKBUILD
@@ -0,0 +1,35 @@
+# Contributor: Timo Teras <timo.teras@iki.fi>
+# Maintainer: Timo Teras <timo.teras@iki.fi>
+
+pkgname=dahdi-linux
+pkgver=2.2.0
+pkgrel=1
+pkgdesc="Firmware for Digium Asterisk Hardware Device Interface drivers"
+url="http://www.asterisk.org"
+license="GPL"
+depends=
+# we need wget and tar because make install downloads firmware and uses fancy
+# options for tar and wget.
+makedepends="wget tar"
+install=
+subpackages="$pkgname-dev"
+source="http://downloads.digium.com/pub/telephony/dahdi-linux/releases/$pkgname-$pkgver.tar.gz"
+
+# We onlin install the firwares in this package since those are common for all
+# kernel flavors. We also install the headers for the -dev package.
+#
+# The kernel drivers themselves are built from separate build recipe.
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+ for i in ../*.patch ../*.diff; do
+ [ -f "$i" ] || continue
+ msg "Applying $i"
+ patch -p1 < $i || return 1;
+ done
+
+ make DESTDIR="$pkgdir" HOTPLUG_FIRMWARE=yes \
+ install-include install-firmware
+}
+
+md5sums="a6b1a24a436e1c1fd08b99d27cfe3f38 dahdi-linux-2.2.0.tar.gz"